Bug 1229757 (CVE-2015-4410)

Summary: CVE-2015-4410 rubygem-moped: Denial of Service with crafted ObjectId string
Product: [Other] Security Response Reporter: Vasyl Kaigorodov <vkaigoro>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: bleanhar, ccoleman, dmcphers, jdetiber, jialiu, jkeck, jliggitt, joelsmith, jokerman, jrusnack, kseifried, lmeyer, mmccomas, tdawson
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-07-29 22:22:25 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1228705    

Description Vasyl Kaigorodov 2015-06-09 14:56:07 UTC
The following Denial of Service issue was discovered in Moped Ruby gem:

If a crafted value will be passed to Moped::BSON::ObjecId.legal? method, this will cause Moped to think MongoDB is down, and ping it 39 more times with intervals.
In other words, Moped will keep a worker busy for 5 seconds and make x40 requests to MongoDB.

CVE-2015-4410 was assigned to it: http://seclists.org/oss-sec/2015/q2/653
Additional details might be found here: http://sakurity.com/blog/2015/06/04/mongo_ruby_regexp.html
The fix can be found here:
https://github.com/mongodb/bson-ruby/commit/976da329ff03ecdfca3030eb6efe3c85e6db9999

Comment 1 Kurt Seifried 2015-07-29 22:22:25 UTC
Statement:

This issue affects the versions of rubygem-moped as shipped with Red Hat OpenShift Enterprise 2.x. Red Hat Product Security has rated this issue as having Low security impact on Red Hat OpenShift Enterprise 2. Additionally access to the component using rubygem-moped is restricted, only trusted users and systems can send messages, thus no trust boundary violation occurs and this issue can not easily be used to create an exploitable security vulnerability on Red Hat OpenShift Enterprise 2.